﻿* Encoding: UTF-8.

*Exercise 7 2024 Texas.

Weight by weight.

*DV Immigration Items: q31_1 to q31_7*.

*Noticed two dimensions of Texas immigration attitudes.*
*Inclusionary attitudes = q31_1, q31_4, q31_6*.
*Exclusionary attitude = q31_2, q31_3, q31_7*.

*Recode and Relabel Texas Inclusionary Immig Questions*.
*NB high scores are Inclusionary*.
recode q31_1 (1=1) (2=.66) (3=.33) (4=0) into Imm2Cit.
recode q31_4 (1=1) (2=.66) (3=.33) (4=0) into ImmGrad.
recode q31_6 (1=1) (2=.66) (3=.33) (4=0) into ImmSkill.

*Recode and Relabel Texas Exclusionary Immig Questions*.
*NB high scores are exclusionary*.
recode q31_2 (1=1) (2=.66) (3=.33) (4=0) into ImmTight.
recode q31_3 (1=1) (2=.66) (3=.33) (4=0) into ImmChk.
recode q31_7 (1=1) (2=.66) (3=.33) (4=0) into ImmWall.

*Reliability of Texas Inclusionary Attitudes--Std Alpha = .734*.
*Create & recode Inclusionary index*.
compute ImmIncl = (Imm2Cit + ImmGrad + ImmSkill).

*Reliability of Texas Exclusionary Attitudes--Std Alph = .791*.
compute ImmExcl = (ImmTight + ImmChk + ImmWall).

*IVs gender, ethn, age, educ, income, interest, ideol*.
*Recode & Relabel gender, ethn, age, educ, income, interest, party, ideol*.
*NB-age & locate are coded by inverstigators*.

*replaced below*.
*recode gender_2 (1=0) (2=1) into female.
*value labels female 1'female' 0 'male'.

*NB race not scored 0-1*.
recode race (1=1) (3=2) (2=3) into ethn.
value labels ethn 1 'white' 2 'hisp' 3 'black'.

recode birthyr (1933 thru 1956 =1) (1957 thru 1966 = .8) (1967 thru 1976 = .6) (1977 thru 1986 = .4) (1987 thru 1996 = .2) (1997 thru 2001 = 0) into ageR. 
value labels ageR 0 '18+' .2 ' 25+'  .4 '35+' .6 '45+' .8 '55+' 1 '65+'.
    
recode edu  (1=0) (2=.2) (3= .4) (4=.6) (5 = .8) (6 = 1) into educR.
value labels educR 0 '>hs' .2 'hs' .4 'somecol' .6 '2yrcol' .8 '4yrcol' 1 'post'.

recode income (1=0) (2=.09) (3=.18) (4=.27) (5=.36) (6=.45) (7=.55) (8=.64) (9=.73) (10=.82) (11=.91 ) (12=1) into incomeR.
value labels incomeR 0 '>10k' .09 '10k+' .18 '20k+' .27 '30k+' .36 '40k+' .45 '50k+' .55 '60k+' .64 '70k+' .73 '80k+' .82 '100k+' .91 '120k+' 1 '150k+' .

recode q2 (1=1) (2=.66) (3=.33) (4 =0) into interest.
value labels interest 1 'extremely' .66 'somewhat' .33 'not very' 0 'not'.

missing values locate (13). 

*Alternative Party and ideology Measures.

if (PID3_utex = 2) and (PID7_utex_r =7) Democrat7 =0. 
if (PID3_utex = 2) and (PID7_utex_r =6) Democrat7 =.166. 
if (PID3_utex = 3) and (pid7_utex_i =5) Democrat7 =.333.
if (PID3_utex = 4) and (pid7_utex_other=5) Democrat7 =.333.
if (PID3_utex = 5) and (pid7others=5) Democrat7 =.333.
if (PID3_utex = 3) and (pid7_utex_i =4) Democrat7 =.5.
if (PID3_utex = 3) and (pid7_utex_i =3) Democrat7 = .666.
if (PID3_utex = 5) and (pid7others=3) Democrat7 = .666.
if (PID3_utex = 5) and (pid7_utex_other=3) Democrat7 = .666.
if (PID3_utex = 1) and (pid7_utex_d=2) Democrat7 = .833. 
if (PID3_utex = 1) and (pid7_utex_d=1) Democrat7 = 1.
value labels Democrat7 0 'strRep' .166 'Rep' .333 'LeanRep' .5 'Indep' .666 'LeanDem' .833 'Dem' 1 'strDem'.

recode Democrat7 (0=0) (.166 =.25) (.333, .5, .666 =.5) (.833 = .75) (1 = 1) into Democrat5.
value labels Democrat5 0 'strRep' .25 'Rep' .5 'Indep' .75 'Dem' 1 'strDem'.

recode libcon (1=1) (2=.75) (3,4. 5= .5 ) (6=.25) (7= 0) into liberal5. 
value labels liberal5 1 'exlib' .75 'liberal'.5  'middle' .25 'conserv' 0 'excons'.

*Analysis-multiple regression.
*Multiple Regression 1a: DV = ImmIncl.
*age, educ, Income Raw Demographics Regrassion*.
regression variables=  ImmIncl ageR educR incomeR
   /statistics anova coeff r tol
  /descriptives = n corr
  /dependent = ImmIncl
  /method = enter.

*Multiple Regression 1b: DV = ImmExcl.
*age, educ, Income Raw Demographics Regrassion*.
regression variables= ImmExcl ageR educR incomeR
   /statistics anova coeff r tol
  /descriptives = n corr
  /dependent = ImmExcl
  /method = enter.

*Dummies*.
*Age*.
recode ageR (0, .2, .4= 0) (.6, .8, 1= 1) into age2.
recode ageR ( 0=1) (else =0) into agelt45.
recode ageR (1 =1) (else = 0) into agegt45. 

*Educ*.
recode educR ( 0, .2 =1) (else =0) into hs.
recode educR (.4, .6 =1) (else=0) into college.
recode educR (.8,  1=1) (else=0) into grad.

recode income (0 thru 5 =0) (6 thru 10 = .5) (11,12=1) into inc3.
recode inc3 (0 =1) (else = 0) into k40.
recode inc3 (.5 = 1) (else = 0) into k100. 
recode inc3 (1 = 1) (else = 0) into k120. 

*Multiple Regression 2a: DV = ImmIncl.
*3 Demographics Dummies Regression*.
*NB Anova in HW5 shows inconsistent results for age, educ aand income*.
regression variables= ImmIncl agelt45 agegt45 hs college grad k40 k100 k120
   /statistics anova coeff r tol
  /descriptives = n corr
  /dependent = ImmIncl
  /method = enter agelt45 hs grad k40 k120.

*Multiple Regression 2b: DV = ImmExcl.
*3 Demographics Dummies Regression*.
*NB Anova in HW5 shows inconsistent results for age, educ and income*.
regression variables= ImmExcl agelt45 agegt45 hs college grad k40 k100 k120
   /statistics anova coeff r tol
  /descriptives = n corr
  /dependent = ImmExcl
  /method = enter agelt45 hs grad k40 k120.

*Dummies for gender*.
recode gender_2 (1=1) (else =0) into male.
recode gender_2 (2=1) (else=0)  into female.

*Dummies for Ethnicity.
recode race (3=1) (else=0) into hisp.
recode race (1=1) (else = 0) into white.
recode race (2=1) (else =0) into black.

*Dummise for Urban-Rural.
recode locate (1=1) (else =0) into urban.
recode locate (2=1) (else = 0) into suburb.
recode locate (3=1) (else = 0) into rural.

*Multiple Regression 3a: DV = ImmIncl*.
*Regression with 6 Demographics*
*adds dummies for gender ethnicity with black as ref and urban-rural with rural as ref*.
regression variables= ImmIncl agelt45 agegt45 hs college grad k40 k100 k120 male female hisp white black urban suburb rural
  /statistics anova coeff r tol
  /descriptives = n corr
  /dependent = ImmIncl
  /method = enter agelt45 hs grad k40 k120 female hisp white urban suburb.

*Multiple Regression 3b: DV = ImmExcl*.
*adds dummies for gender ethnicity and urban-rural with black as ref and urban-rural with rural as ref..
regression variables= ImmExcl agelt45 agegt45 hs college grad k40 k100 k120 male female hisp white black urban suburb rural
   /statistics anova coeff r tol
  /descriptives = n corr
  /dependent = ImmExcl
  /method = enter agelt45 hs grad k40 k120 female hisp white urban suburb.

*Multiple Regression 4a: DV = ImmIncl.
*Regression with 6 Demographics and 3 Political Variables*.
*NB Anova from HW5 show political variables have near linear effects-no dummies used*.
regression variables= ImmIncl agelt45 agegt45 hs college grad k40 k100 k120 male female hisp white black urban suburb rural  Democrat5 liberal5 interest
   /statistics anova coeff r tol
  /descriptives = n corr
  /dependent = ImmIncl
  /method = enter agelt45 hs grad k40 k120 female hisp white urban suburb Democrat5 liberal5 interest.

*Multiple Regression 4b: DV = ImmExcl*.
*adds political variables*.
*NB Anova from HW5 show political variables have near linear effects-no dummies used*.
regression variables= ImmExcl agelt45 agegt45 hs college grad k40 k100 k120 male female hisp white black urban suburb rural  Democrat5 liberal5 interest
   /statistics anova coeff r tol
  /descriptives = n corr
  /dependent = ImmExcl
  /method = enter agelt45 hs grad k40 k120 female hisp white urban suburb Democrat5 liberal5 interest.

